<div data-template="templates:surround" data-template-with="templates/page_index.html" data-template-at="content-container">
    <div class="container">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">Project</h3>
            </div>
            <div class="panel-body">
                <p>By default your data will be published in the Project »<span data-template="app:title"/>«. If you want to create a new project based on the current, you can enter the title below. This will create a fork of the current project.</p>
                <form class="form-group input-group" style="width: 100%;" action="modules/fork.xq" method="post">
                    <p>Enter the new project name <span style="font-family:mono;">[a-zA-Z0-9\-\.]</span>:</p>
                    <input type="hidden" name="forkUser" value="admin"/>
                    <input type="hidden" name="forkPassword" value=""/>
                    <input class="form-control" name="target" type="text" required="true" pattern="[a-zA-Z0-9\-\.]+" style="width:calc(100%-75px);"/>
                    <span class="input-group-btn">
                        <button class="btn btn-default" type="submit" style="vertical-align:bottom;bottom:0;position:absolute;right:0;width:75px;">Create</button>
                    </span>
                </form>
                <hr/>
                <div>
                <p> You can download this project and deploy it on your own
                    server. </p>
                    <a class="btn btn-lg btn-primary" href="modules/download.xq">
                    <i class="fas fa-download" aria-hidden="true"/> Download sade.xar</a>
                </div>
            </div>
        </div>
        <div class="panel panel-default" id="droptarget">
            <div class="panel-heading">
                <h3 class="panel-title">Publish Objects to <span data-template="app:title"/>
                </h3>
            </div>
            <div class="panel-body">
            <div>
                <table class="table table-condensed table-hover">
                    <thead>
                      <tr>
                        <th>Title</th>
                        <th>Type</th>
                        <th>URI</th>
                        <th>Options</th>
                      </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td colspan="4" style="text-align: center;font-size:150%;color:grey;">Drop your Objects here or use the content menu entry "Publish to SADE" on a TextGrid object from within the Navigator.</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div>
                <button class="btn btn-block btn-lg btn-primary" onclick="publish()">
                    <i class="fas fa-upload" aria-hidden="true"/> Publish</button>
                <button class="btn btn-block btn-lg btn-default" onclick="reset()">
                    <i class="fas fa-ban" aria-hidden="true"/> Reset</button>
            </div>
            </div>
        </div>
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">Status</h3>
            </div>
            <div class="panel-body" id="log">
                <ul/>
            </div>
        </div>
    </div>
</div>
